Bug 460702 - initscripts should use plymouth to prompt for password
initscripts should use plymouth to prompt for password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 16:49 EDT by Ray Strode [halfline]
Modified: 2014-03-16 23:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 17:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The aforementioned patch (2.46 KB, patch)
2008-09-02 14:51 EDT, Ray Strode [halfline]
no flags Details | Diff

  None (edit)
Description Ray Strode [halfline] 2008-08-29 16:49:26 EDT
Right now rc.sysinit quits plymouth if it needs to ask for a password.

Plymouth recently gained the ability to ask for a password with a custom prompt after the root filesystem is mounted.  rc.sysinit should do that instead.

See bug 460700 for some changes that will improve the quality of the prompt message. bug 459094 is the plymouth side of things.

I think something like the attached patch is what we want.
Comment 1 Bill Nottingham 2008-09-02 14:33:03 EDT
... attached patch?
Comment 2 Ray Strode [halfline] 2008-09-02 14:51:48 EDT
Created attachment 315577 [details]
The aforementioned patch

Woops, not sure what happened there.  Here it is.
Comment 3 Ray Strode [halfline] 2008-09-10 09:38:52 EDT
it'd be good if we could get this (or your udev hack?) in before the beta.

Note You need to log in before you can comment on or make changes to this bug.